<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class CampEvalNot extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Campagne d\'évaluation @1@'),
            $this->listeData['LIBELLE_CAMPAGNE']
        );
    }

    public function getMessage() : string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour'),
            Trad::strBuild(
                $this->trad->t('Nous souhaiterions recueillir votre opinion afin d\'évaluer la qualité de service rendu pour @1@.'),
                $this->listeData['LIBELLE_CAMPAGNE']
            ),
            $this->trad->t('Vous pouvez remplir le questionnaire en cliquant sur le lien ci-dessous') . $this->trad->colon(),
            $this->listeData['URL'],
            $this->trad->t('Compléter ce questionnaire ne vous prendra que quelques minutes.'),
            $this->trad->t('Nous vous remercions par avance de votre participation.'),
            $this->listeData['CREATEUR_CAMPAGNE'],
            $this->listeData['FONCTION_CREATEUR'],
            '',
        ]);
    }
}
